Project and Portfolio Management Practitioners Forum
cancel

kJSPCompiler

Highlighted
hyllplan
Honored Contributor.

kJSPCompiler

We have moved an application tree to a new location (a copy of production). EVERYTHING works just fine except kJSPCompiler. See below. Any ideas?
I have deleted:
\server\PPM_VE\tmp and \server\PPM_VE\work
manually, does not help..

"$ ./kJSPCompiler.sh PPM_VE
JAVA_HOME = C:/jdk1.6.0_16
java version "1.6.0_16"
Java(TM) SE Runtime Environment (build 1.6.0_16-b01)
Java HotSpot(TM) Client VM (build 14.2-b01, mixed mode, sharing)
server: PPM_VE
Compiling JSP files for PPM_VE
Generating Java files from JSP files
warDirectorys[0]: ./server/PPM_VE/deploy/itg.war
workDirs[0]: ./server/PPM_VE/work/jboss.web/localhost/itg
warDirectorys[1]: d:\PPMVE_UTV\.\server\PPM_VE\deploy\dashboard.war
workDirs[1]: null
Exception in thread "main" java.lang.NullPointerException
at java.lang.ProcessBuilder.start(ProcessBuilder.java:441)
at java.lang.Runtime.exec(Runtime.java:593)
at java.lang.Runtime.exec(Runtime.java:466)
at com.kintana.core.server.tools.JSPCompiler.compileJSP(JSPCompiler.java:285)
at com.kintana.core.server.tools.JSPCompiler.main(JSPCompiler.java:153)
compilation complete"
3 REPLIES
Jim Esler
Acclaimed Contributor.

Re: kJSPCompiler

The System Requirements and Compatibility Matrix indicates that Java should be at level 1.6.0_7 for 7.5 SP5(?) and for 8.0. Your Java version may not be compatible.
hyllplan
Honored Contributor.

Re: kJSPCompiler

Thanks - I will check the Java tomorrow. But isnt jdk1.6.0_16 a newer/higher version than jdk1.6.0_7 ?
Jim Esler
Acclaimed Contributor.

Re: kJSPCompiler

You do have a later version but it is not the version certified by HP. We had similar problems when upgrading to 7.5 SP6 that were resolved by backing up to the documented Java level.